Subject: [radext] Q on RFC6158 & draft-ietf-radext-ipv6-access

From: Leaf yeh <[email-masked]>
Date: Thu, 16 Feb 2012 12:24:42 +0000

What is the definition of the 'IPv6 prefix' (basic data type) in the section 2.1 of RFC6158?

Is it the same as the basic data type of 'IPv6 address'?

BTW, there has some words about the 'prefix' in the definition of 'Route-IPv6-Information' (attribute), section 3.3 of draft-ietf-radext-ipv6-access-06 shown as follows:

<quote>
   Prefix Length
      8-bit unsigned integer.  The number of leading bits in the Prefix
      that are valid.  The value ranges from 0 to 1.  The prefix field
      is 0, 8 or 16 octets depending on Length.

   Prefix
      Variable-length field containing an IP prefix.  The Prefix Length
      field contains the number of valid leading bits in the prefix.
      The bits in the prefix after the prefix length (if any) are
      reserved and MUST be initialized to zero.
</quote >

Does the above prefix comply with the basic data type of 'IPv6 prefix' mentioned in RFC6158?

Best Regards,
Leaf
_______________________________________________
radext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/radext

---

From: Alan DeKok <[email-masked]>
Date: Thu, 16 Feb 2012 13:53:57 +0100

> What is the definition of the 'IPv6 prefix' (basic data type) in the section 2.1 of RFC6158?

  See the existing RFCs.  Specifically, "RADIUS and IPv6"

> Is it the same as the basic data type of 'IPv6 address'?

  No.

> Does the above prefix comply with the basic data type of 'IPv6 prefix' mentioned in RFC6158?

  See RFC 3162 for the definition of IPv6 prefix.

  Alan DeKok.

---

From: Alan DeKok <[email-masked]>
Date: Thu, 16 Feb 2012 13:53:57 +0100

No.

  Alan DeKok.

---

From: Leaf yeh <[email-masked]>
Date: Fri, 17 Feb 2012 03:45:00 +0000

Leaf - What is the definition of the 'IPv6 prefix' (basic data type) in the section 2.1 of RFC6158?
Alan- See the existing RFCs.  Specifically, "RADIUS and IPv6"
Leaf - Is it the same as the basic data type of 'IPv6 address'?
Alan - No.

I guess the following text in the definition of 'Route-IPv6-Information' (attribute), section 3.3 of draft-ietf-radext-ipv6-access-06 

<quote>
   Prefix Length

have some errors as per the section 2.3 of RFC3162, RADIUS and IPv6.

a. Typo - The value shall range from 0 to 128.
b. The prefix field is not necessary to be 0, 8 or 16 octets.

Best Regards,
Leaf

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Leaf yeh
Sent: Thursday, February 16, 2012 8:25 PM
To: Alan DeKok
Cc: Bernard Aboba; [email-masked]; Wojciech Dec; Stefan Winter
Subject: [radext] Q on RFC6158 & draft-ietf-radext-ipv6-access

<quote>
   Prefix Length

   Prefix

Best Regards,
Leaf

---

From: Leaf yeh <[email-masked]>
Date: Fri, 17 Feb 2012 03:45:00 +0000

<quote>
   Prefix Length

Best Regards,
Leaf

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Leaf yeh
Sent: Thursday, February 16, 2012 8:25 PM
To: Alan DeKok
Cc: Bernard Aboba; [email-masked]; Wojciech Dec; Stefan Winter
Subject: [radext] Q on RFC6158 & draft-ietf-radext-ipv6-access

<quote>
   Prefix Length

   Prefix

Best Regards,
Leaf